GuideLab API

Get public profile of an organization

Retrieve the public-facing profile of a discoverable organization, including description, cover image, gallery, and product categories (for labs). Requires authentication.

GET
/organization/{id}/profile

Retrieve the public-facing profile of a discoverable organization, including description, cover image, gallery, and product categories (for labs). Requires authentication.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

id*string

Response Body

application/json

curl -X GET "https://example.com/organization/550e8400-e29b-41d4-a716-446655440000/profile"
{  "id": "string",  "name": "string",  "organizationType": "string",  "logo": "string",  "description": "string",  "hasCoverImage": true,  "email": "string",  "phone": "string",  "website": "string",  "latitude": "string",  "longitude": "string",  "gallery": [    null  ],  "categories": [    null  ]}
Empty
Empty
Empty